# -*- coding: utf-8 -*-
"""
Created on Sat Jul  6 10:38:29 2013

@author: delande
"""

# Copyright Dominique Delande
# Provided "as is" without any warranty
#
# Generates a pseudo-random sequence, as appears in the mapping
# of the quantum kicked rotor on an Anderson model
# Execution time is insignificant

from math import *
import time
import socket
import os

# Generic hbar value for a truly pseudo-random sequence
hbar=2.013
# Pathological hbar value near a quantum resonance
# hbar=2*pi+0.001
energy=0.712
nmax=1000
quasi_momentum=0.
prs_file=open('pseudo_random_sequence.dat','w')
print >>prs_file,'# Data generated on',time.asctime(),' using Python script',os.path.abspath( __file__ ),' on computer:',socket.gethostname()
# generate pseud-random sequence
for i in range(2*nmax):
  print >>prs_file,i-nmax,tan(((energy-0.5*((i+quasi_momentum-nmax)*hbar)**2)/hbar+0.5*pi)%pi-0.5*pi)
prs_file.close()  

